<template lang="pug">
  div.columns.d-flex(:class="{ 'pagecontainer': !nomargintop }")
    div.col-11.col-mx-auto(:class="innerclass")
      nuxt(v-if="!$slots.default")
      slot
</template>

<script>
export default {
  props: {
    innerclass: {
      type: Object,
      default: () => {}
    },
    nomargintop: Boolean
  }
}
</script>

<style lang="scss" scoped>
.pagecontainer {
  margin-top: 30px;
  width: 100%;
}
</style>
